Bug 1651998 - Reporting a bug with gnome-abrt fails if a Unicode character above the first multilingual plane is typed into the description
Summary: Reporting a bug with gnome-abrt fails if a Unicode character above the first ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-abrt
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: abrt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-21 11:44 UTC by Mike FABIAN
Modified: 2019-11-27 22:40 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 22:40:00 UTC


Attachments (Terms of Use)

Description Mike FABIAN 2018-11-21 11:44:42 UTC
I tried to report a crash with gnome-abrt.

In the description of how the problem happened, I wrote:

--------------------------------------------------------------------------
When using gedit or nautilus or probably any other such Gnome application,
trying to insert a skin tone emoji makes the application crash.

- For example, open gedit.
- Click the right mouse button for the context menu.
- Select  "insert emoji"
- Scroll down to an emoji which should have skin tones, for example
  🧒 U+1F9D2 CHILD
- Long press with the left mouse button or click the right mouse 
  button on that emoji. 

-> The application crashes.
--------------------------------------------------------------------------

When continuing, gnome-abrt could not create a bugzilla entry with the 
error message:

--- Running report_Bugzilla ---
Logging into Bugzilla at https://bugzilla.redhat.com
Invalid password or login. Please enter your https://bugzilla.redhat.com login: 'mfabian@redhat.com'
Invalid password or login. Please enter the password for 'mfabian@redhat.com': '********'
Checking for duplicates
Creating a new bug
fatal: 1429-byte supposed UTF-8 string is not valid UTF-8.  UTF-8 string contains a character not in the Basic Multilingual Plane (first byte 0xfffffff0)
('report_Bugzilla' exited with 1)

Comment 1 Ben Cotton 2019-10-31 19:13:36 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-11-27 22:40:00 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.